Name:           multimedia-menus
Version:        0.3.4
Release:        7%{?dist}
Summary:        Categorization for the GNOME/KDE/MATE Sound&Video/Multimedia menu
# Licensing of individual parts is explained in licensing.txt file
License:        GPLv2+ and LGPLv2+ and GPL+ and LGPLv2 and LGPLv3+ and GPLv2 and MIT
URL:            https://fedorahosted.org/multimedia-menus/
Source0:        http://oget.fedorapeople.org/multimedia-menus/SOURCE/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  intltool
Requires:       redhat-menus hicolor-icon-theme

%description
Categorized sub-menus for the GNOME/KDE/MATE Audio&Video/Multimedia menu, for
better usability and easy access of multimedia applications.


%prep
%setup -q


%build
make %{_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
install -p -m 644 multimedia-categories.menu \
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged/
cp -a desktop-directories/*.directory \
  $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
cp -a icons/* $RPM_BUILD_ROOT%{_datadir}/icons/


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS changelog.txt licensing.txt COPYING*
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/multimedia-categories.menu
%{_datadir}/desktop-directories/multimedia-*.directory
%{_datadir}/icons/hicolor/*/apps/multimedia-*.png


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.4-5
- Updated the summary and description to include MATE RHBZ#982000

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 16 2012 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.4-1
- Version bump with new translations

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 25 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.3-1
- Version bump with new translations

* Sun Apr 18 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.2-1
- Version bump with new translations

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.1-1
- Version bump with new translations

* Tue Sep 15 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3-2
- Add missing BR: intltool

* Tue Sep 15 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3-1
- Lots of translations! YAAY!
- Change URL to fedorahosted

* Tue Aug 04 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.2-1
- Version bump with fixes in category names

* Sat Jul 25 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-2
- Correct Source0
- Add dist tag

* Sat Jul 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-1
- Initial build
